{% extends 'mainapp/base.html' %}

{% load static %}

{% block title %}
    Search
{% endblock %}

{% block content %}
<ol xmlns="http://www.w3.org/1999/html">
    <div class="container p-5 m-5 mx-auto">
        <h1>You searched for {{ query }}</h1>
    </div>
    {% for x in list %}
    <div class="p-5 m-5">
        <section class="a">
            <div class="container overflow-hidden">
                <div class="row">
                    <div class="col-md-3 col-xl-3 a1">
                        <img src = '{{ MEDIA_URL }}search/{{ x.id }}.jpg' alt="image" class="img-thumbnail">
                    </div>
                    <div class="col-md-3 col-xl-6 a2">
                        <h2>{{ x.name }}</h2>
                        <p class="lead">{{ x.short_description }}</p>
                        <a class="btn btn-lg btn-primary" href='/places/{{ x.id }}' role="button">More Details</a>
                    </div>
                    <div class="col-md-3 col-xl-2 a3">
                    </div>
                </div>
            </div>
        </section>
    </div>
    {% endfor %}
</ol>

<div class="container text-center p-5 m-5 mx-auto col-6">
    <h3>Page {{ list.number }} of {{ list.paginator.num_pages }}</h3>
    <a href="?q={{ query }}&page=1">First Page</a>
    {% if list.has_previous %}
        <a class="page-link" href="?q={{ query }}&page={{ list.previous_page_number }}">Previous</a>
    {% endif %}
    {% if list.has_next %}
        <a class="page-link" href="?q={{ query }}&page={{ list.next_page_number }}">Next</a>
    {% endif %}
    <a href="?q={{ query }}&page={{ list.paginator.num_pages }}">Last Page</a>
</div>

{% endblock %}